alter table music_sessions_history drop column share_token;
alter table claimed_recordings drop column share_token;

CREATE TABLE share_tokens
(
  id character varying(64) NOT NULL DEFAULT uuid_generate_v4(),
  token varchar(15) NOT NULL,
  shareable_id varchar(64) NOT NULL,
  shareable_type varchar(50) NOT NULL,
  created_at timestamp without time zone NOT NULL DEFAULT now(),
  updated_at timestamp without time zone NOT NULL DEFAULT now(),
  CONSTRAINT token_uniqkey UNIQUE (token),
  CONSTRAINT share_tokens_pkey PRIMARY KEY (id)
);